Questo plugin non è stato testato con le ultime 3 versioni principali (major releases) di WordPress. Potrebbe non essere più mantenuto, o supportato, e potrebbe presentare problemi di compatibilità se utilizzato con versioni più recenti di WordPress.

MarkItUp!

Descrizione

MarkItUp (beta) allows for you to use Markdown on your WordPress site.

It does this on a per-author basis and per-post. This means that you shouldn’t be accidently converting other people’s posts/pages into Markdown by accident!

Currently this wears the beta label because it could have little bumps which aren’t smoothed out just yet.

Installazione

This section describes how to install the plugin and get it working.

e.g.

  1. Upload the directory markitup to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

FAQ

What about my existing content using complex markup?

The WordPress default editor will be used

Not all of my authors like Markdown, is that a problem?

Currently each author has to manually enable it in their settings, so there is nothing to worry about

I want Feature X, Y or Z

Do let me know on Twitter http://twitter.com/kennydude

How do I center align my images?

This is on a site-wide basis and can be enabled by going to Settings -> Writing and there is a “MarkItUp” section.

Recensioni

Non ci sono revisioni per questo plugin.

Contributi e sviluppo

“MarkItUp!” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

Traduci “MarkItUp!” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il Codice segui il Repository SVN iscriviti al Log delle Modifiche. Puoi farlo tramite RSS con un lettore di feed.

Changelog (registro delle modifiche)

1a

  • Hello world
  • Version a made the plugin work on some systems (wrong version of MarkdownExtra)

1.1

  • More highlighting in the editor
  • Images can now be aligned left, center or right

1.2

  • Fixes

1.3

  • New Markdown renderer. I rewrote it because the existing one was crap